<?xml version="1.0" encoding="utf-8"?>
<databaseChangeLog
    xmlns="http://www.liquibase.org/xml/ns/dbchangelog"
    xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
    xsi:schemaLocation="http://www.liquibase.org/xml/ns/dbchangelog http://www.liquibase.org/xml/ns/dbchangelog/dbchangelog-3.5.xsd">
    <!--
        Added the constraints for entity UnitPreparation.
    -->
    <changeSet id="20170101000000-2" author="jhipster">
        
        <addForeignKeyConstraint baseColumnNames="idshipto"
                                 baseTableName="unit_preparation"
                                 constraintName="fk_unit_preparation_ship_to_id"
                                 referencedColumnNames="idshipto"
                                 referencedTableName="ship_to"/>

        <addForeignKeyConstraint baseColumnNames="idinternal"
                                 baseTableName="unit_preparation"
                                 constraintName="fk_unit_preparation_internal_id"
                                 referencedColumnNames="idinternal"
                                 referencedTableName="internal"/>

        <addForeignKeyConstraint baseColumnNames="idfacility"
                                 baseTableName="unit_preparation"
                                 constraintName="fk_unit_preparation_facility_id"
                                 referencedColumnNames="idfacility"
                                 referencedTableName="facility"/>

        <addForeignKeyConstraint baseColumnNames="idinvite"
                                 baseTableName="unit_preparation"
                                 constraintName="fk_unit_preparation_inventory_item_id"
                                 referencedColumnNames="idinvite"
                                 referencedTableName="inventory_item"/>

        <addForeignKeyConstraint baseColumnNames="idordite"
                                 baseTableName="unit_preparation"
                                 constraintName="fk_unit_preparation_order_item_id"
                                 referencedColumnNames="idordite"
                                 referencedTableName="order_item"/>

    </changeSet>
</databaseChangeLog>
